package com.gh.gamecenter.qa.article

import android.content.Context
import android.content.Intent
import android.os.Bundle
import com.gh.gamecenter.common.base.activity.ToolBarActivity
import com.gh.gamecenter.common.base.activity.BaseActivity
import com.gh.gamecenter.common.constant.EntranceConsts

class MyArticleActivity : ToolBarActivity() {

    companion object {
        const val PUBLISH_ARTICLE_REQUEST_CODE = 102

        @JvmStatic
        fun getIntent(context: Context, userId: String, entrance: String, path: String): Intent {
            val bundle = Bundle()
            bundle.putString(EntranceConsts.KEY_USER_ID, userId)
            bundle.putString(EntranceConsts.KEY_ENTRANCE, BaseActivity.mergeEntranceAndPath(entrance, path))
            return getTargetIntent(context, MyArticleActivity::class.java, MyArticleFragment::class.java, bundle)
        }
    }
}
